using System;



    internal class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            s = s + ' ';
            int m = 0;
            string s1 = "";
            while (!(s[m].Equals(' ')))
            {
                s1 = s1 + s[m];
                m++;
            }
            m++;
            int n = Convert.ToInt32(s1);
            s1 = "";
            while (!(s[m].Equals(' ')))
            {
                s1 = s1 + s[m];
                m++;
            }
            int l = Convert.ToInt32(s1);
            int[] h=new int[n+1];
            bool b= true;
            int j= 0;
            s = Console.ReadLine();
            s = s + ' ';
            m = 0;
            for (int i = 1; i <= n; i++)
            {
                s1 = "";
                while (!(s[m].Equals(' ')))
                {
                    s1 = s1 + s[m] ;
                    m++;
                }
                m++;
                h[i]=Convert.ToInt32(s1);
                if (b)
                { 
                    if (h[i]<=l)
                    {
                        j = i;
                        b= false;
                    }
                }
            }
            if (b) { j = -1; }
            Console.WriteLine(j);
            Console.ReadLine();
        }
    }